/*
 * @Author: WuXiangNan
 * @Date: 2021-03-04 17:16:24
 * @LastEditTime: 2021-03-08 09:22:55
 * @LastEditors: WuXiangNan
 * @Description: 
 */
import 'package:flutter/material.dart';
import 'package:wisdom_cli/wisdom_cli.dart';

class ListViewItem extends StatefulWidget {
  ListViewItem({Key? key}) : super(key: key);

  @override
  _ListViewItemState createState() => _ListViewItemState();
}

class _ListViewItemState extends State<ListViewItem> {
  @override
  Widget build(BuildContext context) {
    return WisCard(
      color: Colors.white,
      margin: EdgeInsets.fromLTRB(0, 0, 0, 10.pt),
      elevation: 0,
      shape: BeveledRectangleBorder(),
      onTap: () => Navigator.pushNamed(context, 'attendance/track/memberMap'),
      child: Wisdom.column(
        children: [
          Wisdom.column(
            padding: EdgeInsets.all(15.pt),
            children: [
              Wisdom.row(
                margin: EdgeInsets.only(bottom: 5.pt),
                children: [
                  WTag(
                    child: Text('超时越界'),
                    color: Color(0XFFFF495E),
                  ),
                  SizedBox(
                    width: 10.pt,
                  ),
                  WisText(
                    '王伟',
                    bold: true,
                    size: 15.pt,
                  )
                ],
              ),
              Wisdom(
                child: WisText(
                  '最后位置更新：海口市美兰区和平大道35号蓝岛康城温泉花园',
                  color: Colors.grey,
                  size: 15.pt,
                ),
              ),
            ],
          ),
          Wisdom.column(
            children: [
              Divider(
                height: 0.5,
              ),
              Wisdom.row(
                  padding: EdgeInsets.fromLTRB(15.pt, 10.pt, 15.pt, 10.pt),
                  mainAxisAlignment: MainAxisAlignment.spaceAround,
                  children: [
                    Wisdom.row(
                      mainAxisAlignment: MainAxisAlignment.spaceBetween,
                      width: MediaQuery.of(context).size.width / 2 - 15.pt,
                      padding: EdgeInsets.only(right: 20.pt),
                      children: [
                        WisText(
                          '未开始任务',
                          size: 15.pt,
                        ),
                        WisText(
                          '8',
                          color: Color(0XFF0F67F8),
                          bold: true,
                          size: 15.pt,
                        )
                      ],
                    ),
                    Wisdom.row(
                      mainAxisAlignment: MainAxisAlignment.spaceBetween,
                      width: MediaQuery.of(context).size.width / 2 - 15.pt,
                      padding: EdgeInsets.only(left: 20.pt),
                      children: [
                        WisText(
                          '进行中任务',
                          size: 15.pt,
                        ),
                        WisText(
                          '20',
                          color: Colors.orange,
                          bold: true,
                          size: 15.pt,
                        )
                      ],
                    ),
                  ]),
            ],
          ),
        ],
      ),
    );
  }
}
